diff --git a/gcc/tree-vect-stmts.c b/gcc/tree-vect-stmts.c
index 606c7dc..26709f5 100644
--- a/gcc/tree-vect-stmts.c
+++ b/gcc/tree-vect-stmts.c
@@ -197,7 +197,7 @@ vect_mark_relevant (vec<gimple *> *worklist, gimple *stmt,
   bool save_live_p = STMT_VINFO_LIVE_P (stmt_info);
   gimple *pattern_stmt;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       dump_printf_loc (MSG_NOTE, vect_location,
 		       "mark relevant %d, live %d: ", relevant, live_p);
@@ -217,7 +217,7 @@ vect_mark_relevant (vec<gimple *> *worklist, gimple *stmt,
 
       pattern_stmt = STMT_VINFO_RELATED_STMT (stmt_info);
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	dump_printf_loc (MSG_NOTE, vect_location,
 			 "last stmt in pattern. don't mark"
 			 " relevant/live.\n");
@@ -235,7 +235,7 @@ vect_mark_relevant (vec<gimple *> *worklist, gimple *stmt,
   if (STMT_VINFO_RELEVANT (stmt_info) == save_relevant
       && STMT_VINFO_LIVE_P (stmt_info) == save_live_p)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         dump_printf_loc (MSG_NOTE, vect_location,
                          "already marked relevant/live.\n");
       return;
@@ -265,7 +265,7 @@ is_simple_and_all_uses_invariant (gimple *stmt, loop_vec_info loop_vinfo)
 
       if (!vect_is_simple_use (op, loop_vinfo, &def_stmt, &dt))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "use not simple.\n");
 	  return false;
@@ -313,7 +313,7 @@ vect_stmt_relevant_p (gimple *stmt, loop_vec_info loop_vinfo,
     if (gimple_vdef (stmt)
 	&& !gimple_clobber_p (stmt))
       {
-	if (thing_enabled_p ())
+	if (optinfo_enabled_p ())
 	  dump_printf_loc (MSG_NOTE, vect_location,
                            "vec_stmt_relevant_p: stmt has vdefs.\n");
 	*relevant = vect_used_in_scope;
@@ -327,7 +327,7 @@ vect_stmt_relevant_p (gimple *stmt, loop_vec_info loop_vinfo,
 	  basic_block bb = gimple_bb (USE_STMT (use_p));
 	  if (!flow_bb_inside_loop_p (loop, bb))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		dump_printf_loc (MSG_NOTE, vect_location,
                                  "vec_stmt_relevant_p: used out of loop.\n");
 
@@ -347,7 +347,7 @@ vect_stmt_relevant_p (gimple *stmt, loop_vec_info loop_vinfo,
   if (*live_p && *relevant == vect_unused_in_scope
       && !is_simple_and_all_uses_invariant (stmt, loop_vinfo))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	dump_printf_loc (MSG_NOTE, vect_location,
 			 "vec_stmt_relevant_p: stmt live but not relevant.\n");
       *relevant = vect_used_only_live;
@@ -467,7 +467,7 @@ process_use (gimple *stmt, tree use, loop_vec_info loop_vinfo,
 
   if (!vect_is_simple_use (use, loop_vinfo, &def_stmt, &dt))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         vect_location_writeln (OPT_RECORD_FAILURE,
                          "not vectorized: unsupported use in stmt.\n");
       return false;
@@ -479,7 +479,7 @@ process_use (gimple *stmt, tree use, loop_vec_info loop_vinfo,
   def_bb = gimple_bb (def_stmt);
   if (!flow_bb_inside_loop_p (loop, def_bb))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	dump_printf_loc (MSG_NOTE, vect_location, "def_stmt is out of loop.\n");
       return true;
     }
@@ -497,7 +497,7 @@ process_use (gimple *stmt, tree use, loop_vec_info loop_vinfo,
       && STMT_VINFO_DEF_TYPE (dstmt_vinfo) == vect_reduction_def
       && bb->loop_father == def_bb->loop_father)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	dump_printf_loc (MSG_NOTE, vect_location,
                          "reduc-stmt defining reduc-phi in the same nest.\n");
       if (STMT_VINFO_IN_PATTERN_P (dstmt_vinfo))
@@ -517,7 +517,7 @@ process_use (gimple *stmt, tree use, loop_vec_info loop_vinfo,
 		...		  */
   if (flow_loop_nested_p (def_bb->loop_father, bb->loop_father))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	dump_printf_loc (MSG_NOTE, vect_location,
                          "outer-loop def-stmt defining inner-loop stmt.\n");
 
@@ -555,7 +555,7 @@ process_use (gimple *stmt, tree use, loop_vec_info loop_vinfo,
 		stmt # use (d)		*/
   else if (flow_loop_nested_p (bb->loop_father, def_bb->loop_father))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	dump_printf_loc (MSG_NOTE, vect_location,
                          "inner-loop def-stmt defining outer-loop stmt.\n");
 
@@ -590,7 +590,7 @@ process_use (gimple *stmt, tree use, loop_vec_info loop_vinfo,
 	   && (PHI_ARG_DEF_FROM_EDGE (stmt, loop_latch_edge (bb->loop_father))
 	       == use))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	dump_printf_loc (MSG_NOTE, vect_location,
                          "induction value on backedge.\n");
       return true;
@@ -633,7 +633,7 @@ vect_mark_stmts_to_be_vectorized (loop_vec_info loop_vinfo)
   bool live_p;
   enum vect_relevant relevant;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     dump_printf_loc (MSG_NOTE, vect_location,
                      "=== vect_mark_stmts_to_be_vectorized ===\n");
 
@@ -646,7 +646,7 @@ vect_mark_stmts_to_be_vectorized (loop_vec_info loop_vinfo)
       for (si = gsi_start_phis (bb); !gsi_end_p (si); gsi_next (&si))
 	{
 	  phi = gsi_stmt (si);
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      dump_printf_loc (MSG_NOTE, vect_location, "init: phi relevant? ");
 	      dump_gimple_stmt (MSG_NOTE, TDF_SLIM, phi, 0);
@@ -658,7 +658,7 @@ vect_mark_stmts_to_be_vectorized (loop_vec_info loop_vinfo)
       for (si = gsi_start_bb (bb); !gsi_end_p (si); gsi_next (&si))
 	{
 	  stmt = gsi_stmt (si);
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      dump_printf_loc (MSG_NOTE, vect_location, "init: stmt relevant? ");
 	      dump_gimple_stmt (MSG_NOTE, TDF_SLIM, stmt, 0);
@@ -676,7 +676,7 @@ vect_mark_stmts_to_be_vectorized (loop_vec_info loop_vinfo)
       ssa_op_iter iter;
 
       stmt = worklist.pop ();
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
           dump_printf_loc (MSG_NOTE, vect_location, "worklist: examine stmt: ");
           dump_gimple_stmt (MSG_NOTE, TDF_SLIM, stmt, 0);
@@ -708,7 +708,7 @@ vect_mark_stmts_to_be_vectorized (loop_vec_info loop_vinfo)
 		&& relevant != vect_used_by_reduction
 		&& relevant != vect_used_only_live)
 	      {
-		if (thing_enabled_p ())
+		if (optinfo_enabled_p ())
 		  vect_location_writeln (OPT_RECORD_FAILURE,
 				   "unsupported use of reduction.\n");
 		return false;
@@ -720,7 +720,7 @@ vect_mark_stmts_to_be_vectorized (loop_vec_info loop_vinfo)
 		&& relevant != vect_used_in_outer_by_reduction
 		&& relevant != vect_used_in_outer)
               {
-                if (thing_enabled_p ())
+                if (optinfo_enabled_p ())
                   vect_location_writeln (OPT_RECORD_FAILURE,
                                    "unsupported use of nested cycle.\n");
 
@@ -733,7 +733,7 @@ vect_mark_stmts_to_be_vectorized (loop_vec_info loop_vinfo)
 		&& relevant != vect_used_by_reduction
 		&& relevant != vect_used_only_live)
               {
-                if (thing_enabled_p ())
+                if (optinfo_enabled_p ())
                   vect_location_writeln (OPT_RECORD_FAILURE,
                                    "unsupported use of double reduction.\n");
 
@@ -840,7 +840,7 @@ vect_model_simple_cost (stmt_vec_info stmt_info, int ncopies,
   inside_cost = record_stmt_cost (body_cost_vec, ncopies, vector_stmt,
 				  stmt_info, 0, vect_body);
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     dump_printf_loc (MSG_NOTE, vect_location,
                      "vect_model_simple_cost: inside_cost = %d, "
                      "prologue_cost = %d .\n", inside_cost, prologue_cost);
@@ -885,7 +885,7 @@ vect_model_promotion_demotion_cost (stmt_vec_info stmt_info,
       prologue_cost += add_stmt_cost (target_cost_data, 1, vector_stmt,
 				      stmt_info, 0, vect_prologue);
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     dump_printf_loc (MSG_NOTE, vect_location,
                      "vect_model_promotion_demotion_cost: inside_cost = %d, "
                      "prologue_cost = %d .\n", inside_cost, prologue_cost);
@@ -939,7 +939,7 @@ vect_model_store_cost (stmt_vec_info stmt_info, int ncopies,
       inside_cost = record_stmt_cost (body_cost_vec, nstmts, vec_perm,
 				      stmt_info, 0, vect_body);
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         dump_printf_loc (MSG_NOTE, vect_location,
                          "vect_model_store_cost: strided group_size = %d .\n",
                          group_size);
@@ -969,7 +969,7 @@ vect_model_store_cost (stmt_vec_info stmt_info, int ncopies,
 				       vec_to_scalar, stmt_info, 0, vect_body);
     }
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     dump_printf_loc (MSG_NOTE, vect_location,
                      "vect_model_store_cost: inside_cost = %d, "
                      "prologue_cost = %d .\n", inside_cost, prologue_cost);
@@ -994,7 +994,7 @@ vect_get_store_cost (struct data_reference *dr, int ncopies,
 					  vector_store, stmt_info, 0,
 					  vect_body);
 
-        if (thing_enabled_p ())
+        if (optinfo_enabled_p ())
           dump_printf_loc (MSG_NOTE, vect_location,
                            "vect_model_store_cost: aligned.\n");
         break;
@@ -1006,7 +1006,7 @@ vect_get_store_cost (struct data_reference *dr, int ncopies,
 	*inside_cost += record_stmt_cost (body_cost_vec, ncopies,
 					  unaligned_store, stmt_info,
 					  DR_MISALIGNMENT (dr), vect_body);
-        if (thing_enabled_p ())
+        if (optinfo_enabled_p ())
           dump_printf_loc (MSG_NOTE, vect_location,
                            "vect_model_store_cost: unaligned supported by "
                            "hardware.\n");
@@ -1017,7 +1017,7 @@ vect_get_store_cost (struct data_reference *dr, int ncopies,
       {
         *inside_cost = VECT_MAX_COST;
 
-        if (thing_enabled_p ())
+        if (optinfo_enabled_p ())
           vect_location_writeln (OPT_RECORD_FAILURE,
                            "vect_model_store_cost: unsupported access.\n");
         break;
@@ -1075,7 +1075,7 @@ vect_model_load_cost (stmt_vec_info stmt_info, int ncopies,
       inside_cost = record_stmt_cost (body_cost_vec, nstmts, vec_perm,
 				      stmt_info, 0, vect_body);
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         dump_printf_loc (MSG_NOTE, vect_location,
                          "vect_model_load_cost: strided group_size = %d .\n",
                          group_size);
@@ -1101,7 +1101,7 @@ vect_model_load_cost (stmt_vec_info stmt_info, int ncopies,
     inside_cost += record_stmt_cost (body_cost_vec, ncopies, vec_construct,
 				     stmt_info, 0, vect_body);
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     dump_printf_loc (MSG_NOTE, vect_location,
                      "vect_model_load_cost: inside_cost = %d, "
                      "prologue_cost = %d .\n", inside_cost, prologue_cost);
@@ -1128,7 +1128,7 @@ vect_get_load_cost (struct data_reference *dr, int ncopies,
 	*inside_cost += record_stmt_cost (body_cost_vec, ncopies, vector_load,
 					  stmt_info, 0, vect_body);
 
-        if (thing_enabled_p ())
+        if (optinfo_enabled_p ())
           dump_printf_loc (MSG_NOTE, vect_location,
                            "vect_model_load_cost: aligned.\n");
 
@@ -1141,7 +1141,7 @@ vect_get_load_cost (struct data_reference *dr, int ncopies,
 					  unaligned_load, stmt_info,
 					  DR_MISALIGNMENT (dr), vect_body);
 
-        if (thing_enabled_p ())
+        if (optinfo_enabled_p ())
           dump_printf_loc (MSG_NOTE, vect_location,
                            "vect_model_load_cost: unaligned supported by "
                            "hardware.\n");
@@ -1162,7 +1162,7 @@ vect_get_load_cost (struct data_reference *dr, int ncopies,
 	  *inside_cost += record_stmt_cost (body_cost_vec, 1, vector_stmt,
 					    stmt_info, 0, vect_body);
 
-        if (thing_enabled_p ())
+        if (optinfo_enabled_p ())
           dump_printf_loc (MSG_NOTE, vect_location,
                            "vect_model_load_cost: explicit realign\n");
 
@@ -1170,7 +1170,7 @@ vect_get_load_cost (struct data_reference *dr, int ncopies,
       }
     case dr_explicit_realign_optimized:
       {
-        if (thing_enabled_p ())
+        if (optinfo_enabled_p ())
           dump_printf_loc (MSG_NOTE, vect_location,
                            "vect_model_load_cost: unaligned software "
                            "pipelined.\n");
@@ -1198,7 +1198,7 @@ vect_get_load_cost (struct data_reference *dr, int ncopies,
 	*inside_cost += record_stmt_cost (body_cost_vec, ncopies, vec_perm,
 					  stmt_info, 0, vect_body);
 
-        if (thing_enabled_p ())
+        if (optinfo_enabled_p ())
           dump_printf_loc (MSG_NOTE, vect_location,
                            "vect_model_load_cost: explicit realign optimized"
                            "\n");
@@ -1210,7 +1210,7 @@ vect_get_load_cost (struct data_reference *dr, int ncopies,
       {
         *inside_cost = VECT_MAX_COST;
 
-        if (thing_enabled_p ())
+        if (optinfo_enabled_p ())
           vect_location_writeln (OPT_RECORD_FAILURE,
                            "vect_model_load_cost: unsupported access.\n");
         break;
@@ -1260,7 +1260,7 @@ vect_init_vector_1 (gimple *stmt, gimple *new_stmt, gimple_stmt_iterator *gsi)
        }
     }
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       dump_printf_loc (MSG_NOTE, vect_location,
                        "created new init_stmt: ");
@@ -1421,7 +1421,7 @@ vect_get_vec_def_for_operand (tree op, gimple *stmt, tree vectype)
   stmt_vec_info stmt_vinfo = vinfo_for_stmt (stmt);
   loop_vec_info loop_vinfo = STMT_VINFO_LOOP_VINFO (stmt_vinfo);
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       dump_printf_loc (MSG_NOTE, vect_location,
                        "vect_get_vec_def_for_operand: ");
@@ -1431,7 +1431,7 @@ vect_get_vec_def_for_operand (tree op, gimple *stmt, tree vectype)
 
   is_simple_use = vect_is_simple_use (op, loop_vinfo, &def_stmt, &dt);
   gcc_assert (is_simple_use);
-  if (def_stmt && thing_enabled_p ())
+  if (def_stmt && optinfo_enabled_p ())
     {
       dump_printf_loc (MSG_NOTE, vect_location, "  def_stmt =  ");
       dump_gimple_stmt (MSG_NOTE, TDF_SLIM, def_stmt, 0);
@@ -1612,7 +1612,7 @@ vect_finish_stmt_generation_1 (gimple *stmt, gimple *vec_stmt)
 
   set_vinfo_for_stmt (vec_stmt, new_stmt_vec_info (vec_stmt, vinfo));
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       dump_printf_loc (MSG_NOTE, vect_location, "add new stmt: ");
       dump_gimple_stmt (MSG_NOTE, TDF_SLIM, vec_stmt, 0);
@@ -1749,7 +1749,7 @@ check_load_store_masking (loop_vec_info loop_vinfo, tree vectype,
 	  ? !vect_load_lanes_supported (vectype, group_size, true)
 	  : !vect_store_lanes_supported (vectype, group_size, true))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "can't use a fully-masked loop because the"
 			     " target doesn't have an appropriate masked"
@@ -1773,7 +1773,7 @@ check_load_store_masking (loop_vec_info loop_vinfo, tree vectype,
 						   TYPE_SIGN (offset_type),
 						   gs_info->scale))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "can't use a fully-masked loop because the"
 			     " target doesn't have an appropriate masked"
@@ -1791,7 +1791,7 @@ check_load_store_masking (loop_vec_info loop_vinfo, tree vectype,
     {
       /* Element X of the data must come from iteration i * VF + X of the
 	 scalar loop.  We need more work to support other mappings.  */
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "can't use a fully-masked loop because an access"
 			 " isn't contiguous.\n");
@@ -1805,7 +1805,7 @@ check_load_store_masking (loop_vec_info loop_vinfo, tree vectype,
 	 GET_MODE_SIZE (vecmode)).exists (&mask_mode))
       || !can_vec_mask_load_store_p (vecmode, mask_mode, is_load))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "can't use a fully-masked loop because the target"
 			 " doesn't have the appropriate masked load or"
@@ -1871,7 +1871,7 @@ vect_truncate_gather_scatter_offset (gimple *stmt, loop_vec_info loop_vinfo,
   if (TREE_CODE (step) != INTEGER_CST)
     {
       /* ??? Perhaps we could use range information here?  */
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	dump_printf_loc (MSG_NOTE, vect_location,
 			 "cannot truncate variable step.\n");
       return false;
@@ -1937,7 +1937,7 @@ vect_truncate_gather_scatter_offset (gimple *stmt, loop_vec_info loop_vinfo,
       return true;
     }
 
-  if (overflow_p && thing_enabled_p ())
+  if (overflow_p && optinfo_enabled_p ())
     dump_printf_loc (MSG_NOTE, vect_location,
 		     "truncating gather/scatter offset to %d bits"
 		     " might change its value.\n", element_bits);
@@ -1978,7 +1978,7 @@ vect_use_strided_gather_scatters_p (gimple *stmt, loop_vec_info loop_vinfo,
       gs_info->offset = fold_convert (offset_type, gs_info->offset);
     }
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     dump_printf_loc (MSG_NOTE, vect_location,
 		     "using gather/scatter for strided/grouped access,"
 		     " scale = %d\n", gs_info->scale);
@@ -2116,7 +2116,7 @@ get_group_load_store_type (gimple *stmt, tree vectype, bool slp,
 	    overrun_p = false;
 	  if (overrun_p && !can_overrun_p)
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "Peeling for outer loop is not supported\n");
 	      return false;
@@ -2202,7 +2202,7 @@ get_group_load_store_type (gimple *stmt, tree vectype, bool slp,
 	  enum vect_def_type dt;
 	  if (!vect_is_simple_use (op, vinfo, &def_stmt, &dt))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "use not simple.\n");
 	      return false;
@@ -2214,7 +2214,7 @@ get_group_load_store_type (gimple *stmt, tree vectype, bool slp,
   if (overrun_p)
     {
       gcc_assert (can_overrun_p);
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "Data access with gaps requires scalar "
 			 "epilogue loop\n");
@@ -2239,7 +2239,7 @@ get_negative_load_store_type (gimple *stmt, tree vectype,
 
   if (ncopies > 1)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "multiple types with negative step.\n");
       return VMAT_ELEMENTWISE;
@@ -2249,7 +2249,7 @@ get_negative_load_store_type (gimple *stmt, tree vectype,
   if (alignment_support_scheme != dr_aligned
       && alignment_support_scheme != dr_unaligned_supported)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "negative step but alignment required.\n");
       return VMAT_ELEMENTWISE;
@@ -2257,7 +2257,7 @@ get_negative_load_store_type (gimple *stmt, tree vectype,
 
   if (vls_type == VLS_STORE_INVARIANT)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	dump_printf_loc (MSG_NOTE, vect_location,
 			 "negative step with invariant source;"
 			 " no permute needed.\n");
@@ -2266,7 +2266,7 @@ get_negative_load_store_type (gimple *stmt, tree vectype,
 
   if (!perm_mask_for_reverse (vectype))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "negative step and reversing not supported.\n");
       return VMAT_ELEMENTWISE;
@@ -2305,7 +2305,7 @@ get_load_store_type (gimple *stmt, tree vectype, bool slp, bool masked_p,
 				    &gs_info->offset_dt,
 				    &gs_info->offset_vectype))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "%s index use not simple.\n",
 			     vls_type == VLS_LOAD ? "gather" : "scatter");
@@ -2347,7 +2347,7 @@ get_load_store_type (gimple *stmt, tree vectype, bool slp, bool masked_p,
        || *memory_access_type == VMAT_STRIDED_SLP)
       && !nunits.is_constant ())
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "Not using elementwise accesses due to variable "
 			 "vectorization factor.\n");
@@ -2363,7 +2363,7 @@ get_load_store_type (gimple *stmt, tree vectype, bool slp, bool masked_p,
 	   && !GROUP_NEXT_ELEMENT (stmt_info)
 	   && !pow2p_hwi (GROUP_SIZE (stmt_info))))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "not falling back to elementwise accesses\n");
       return false;
@@ -2383,7 +2383,7 @@ vect_check_load_store_mask (gimple *stmt, tree mask,
 {
   if (!VECT_SCALAR_BOOLEAN_TYPE_P (TREE_TYPE (mask)))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "mask argument is not a boolean.\n");
       return false;
@@ -2391,7 +2391,7 @@ vect_check_load_store_mask (gimple *stmt, tree mask,
 
   if (TREE_CODE (mask) != SSA_NAME)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "mask argument is not an SSA name.\n");
       return false;
@@ -2404,7 +2404,7 @@ vect_check_load_store_mask (gimple *stmt, tree mask,
   if (!vect_is_simple_use (mask, stmt_info->vinfo, &def_stmt, &mask_dt,
 			   &mask_vectype))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "mask use not simple.\n");
       return false;
@@ -2416,7 +2416,7 @@ vect_check_load_store_mask (gimple *stmt, tree mask,
 
   if (!mask_vectype || !VECTOR_BOOLEAN_TYPE_P (mask_vectype))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "could not find an appropriate vector mask type.\n");
       return false;
@@ -2425,7 +2425,7 @@ vect_check_load_store_mask (gimple *stmt, tree mask,
   if (maybe_ne (TYPE_VECTOR_SUBPARTS (mask_vectype),
 		TYPE_VECTOR_SUBPARTS (vectype)))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_FAILURE,
 			   "vector mask type ");
@@ -2456,7 +2456,7 @@ vect_check_store_rhs (gimple *stmt, tree rhs, vect_def_type *rhs_dt_out,
      native_encode_expr can handle it.  */
   if (CONSTANT_CLASS_P (rhs) && native_encode_expr (rhs, NULL, 64) == 0)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "cannot encode constant as a byte sequence.\n");
       return false;
@@ -2469,7 +2469,7 @@ vect_check_store_rhs (gimple *stmt, tree rhs, vect_def_type *rhs_dt_out,
   if (!vect_is_simple_use (rhs, stmt_info->vinfo, &def_stmt, &rhs_dt,
 			   &rhs_vectype))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "use not simple.\n");
       return false;
@@ -2478,7 +2478,7 @@ vect_check_store_rhs (gimple *stmt, tree rhs, vect_def_type *rhs_dt_out,
   tree vectype = STMT_VINFO_VECTYPE (stmt_info);
   if (rhs_vectype && !useless_type_conversion_p (vectype, rhs_vectype))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "incompatible vector types.\n");
       return false;
@@ -2886,7 +2886,7 @@ vectorizable_bswap (gimple *stmt, gimple_stmt_iterator *gsi,
   if (! vec_stmt)
     {
       STMT_VINFO_TYPE (stmt_info) = call_vec_info_type;
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         dump_printf_loc (MSG_NOTE, vect_location, "=== vectorizable_bswap ==="
                          "\n");
       if (! slp_node)
@@ -3065,7 +3065,7 @@ vectorizable_call (gimple *gs, gimple_stmt_iterator *gsi, gimple **vec_stmt,
       if (rhs_type
 	  && !types_compatible_p (rhs_type, TREE_TYPE (op)))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
                              "argument types differ.\n");
 	  return false;
@@ -3075,7 +3075,7 @@ vectorizable_call (gimple *gs, gimple_stmt_iterator *gsi, gimple **vec_stmt,
 
       if (!vect_is_simple_use (op, vinfo, &def_stmt, &dt[i], &opvectype))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
                              "use not simple.\n");
 	  return false;
@@ -3086,7 +3086,7 @@ vectorizable_call (gimple *gs, gimple_stmt_iterator *gsi, gimple **vec_stmt,
       else if (opvectype
 	       && opvectype != vectype_in)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
                              "argument vector types differ.\n");
 	  return false;
@@ -3100,7 +3100,7 @@ vectorizable_call (gimple *gs, gimple_stmt_iterator *gsi, gimple **vec_stmt,
     gcc_assert (vectype_in);
   if (!vectype_in)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         {
           vect_location_writeln (OPT_RECORD_FAILURE,
                            "no vectype for scalar type ");
@@ -3126,7 +3126,7 @@ vectorizable_call (gimple *gs, gimple_stmt_iterator *gsi, gimple **vec_stmt,
   /* We only handle functions that do not read or clobber memory.  */
   if (gimple_vuse (stmt))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "function reads from or writes to memory.\n");
       return false;
@@ -3184,7 +3184,7 @@ vectorizable_call (gimple *gs, gimple_stmt_iterator *gsi, gimple **vec_stmt,
 				   vectype_in, dt);
       else
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "function is not vectorizable.\n");
 	  return false;
@@ -3205,7 +3205,7 @@ vectorizable_call (gimple *gs, gimple_stmt_iterator *gsi, gimple **vec_stmt,
   if (!vec_stmt) /* transformation not required.  */
     {
       STMT_VINFO_TYPE (stmt_info) = call_vec_info_type;
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         dump_printf_loc (MSG_NOTE, vect_location, "=== vectorizable_call ==="
                          "\n");
       if (!slp_node)
@@ -3221,7 +3221,7 @@ vectorizable_call (gimple *gs, gimple_stmt_iterator *gsi, gimple **vec_stmt,
 
   /* Transform.  */
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     dump_printf_loc (MSG_NOTE, vect_location, "transform call.\n");
 
   /* Handle def.  */
@@ -3666,7 +3666,7 @@ vectorizable_simd_clone_call (gimple *stmt, gimple_stmt_iterator *gsi,
 			       &thisarginfo.vectype)
 	  || thisarginfo.dt == vect_uninitialized_def)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "use not simple.\n");
 	  return false;
@@ -3741,7 +3741,7 @@ vectorizable_simd_clone_call (gimple *stmt, gimple_stmt_iterator *gsi,
   unsigned HOST_WIDE_INT vf;
   if (!LOOP_VINFO_VECT_FACTOR (loop_vinfo).is_constant (&vf))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "not considering SIMD clones; not yet supported"
 			 " for variable-width vectors.\n");
@@ -3884,7 +3884,7 @@ vectorizable_simd_clone_call (gimple *stmt, gimple_stmt_iterator *gsi,
 	    STMT_VINFO_SIMD_CLONE_INFO (stmt_info).safe_push (sll);
 	  }
       STMT_VINFO_TYPE (stmt_info) = call_simd_clone_vec_info_type;
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	dump_printf_loc (MSG_NOTE, vect_location,
 			 "=== vectorizable_simd_clone_call ===\n");
 /*      vect_model_simple_cost (stmt_info, ncopies, dt, NULL, NULL); */
@@ -3893,7 +3893,7 @@ vectorizable_simd_clone_call (gimple *stmt, gimple_stmt_iterator *gsi,
 
   /* Transform.  */
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     dump_printf_loc (MSG_NOTE, vect_location, "transform call.\n");
 
   /* Handle def.  */
@@ -4524,7 +4524,7 @@ vectorizable_conversion (gimple *stmt, gimple_stmt_iterator *gsi,
 	  || (INTEGRAL_TYPE_P (rhs_type)
 	      && !type_has_mode_precision_p (rhs_type))))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
                          "type conversion to/from bit-precision unsupported."
                          "\n");
@@ -4534,7 +4534,7 @@ vectorizable_conversion (gimple *stmt, gimple_stmt_iterator *gsi,
   /* Check the operands of the operation.  */
   if (!vect_is_simple_use (op0, vinfo, &def_stmt, &dt[0], &vectype_in))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
                          "use not simple.\n");
       return false;
@@ -4554,7 +4554,7 @@ vectorizable_conversion (gimple *stmt, gimple_stmt_iterator *gsi,
 
       if (!ok)
 	{
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             vect_location_writeln (OPT_RECORD_FAILURE,
                              "use not simple.\n");
 	  return false;
@@ -4569,7 +4569,7 @@ vectorizable_conversion (gimple *stmt, gimple_stmt_iterator *gsi,
     gcc_assert (vectype_in);
   if (!vectype_in)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_FAILURE,
                            "no vectype for scalar type ");
@@ -4583,7 +4583,7 @@ vectorizable_conversion (gimple *stmt, gimple_stmt_iterator *gsi,
   if (VECTOR_BOOLEAN_TYPE_P (vectype_out)
       && !VECTOR_BOOLEAN_TYPE_P (vectype_in))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_FAILURE,
                            "can't convert between boolean and non "
@@ -4637,7 +4637,7 @@ vectorizable_conversion (gimple *stmt, gimple_stmt_iterator *gsi,
 	break;
       /* FALLTHRU */
     unsupported:
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
                          "conversion not supported by target.\n");
       return false;
@@ -4737,7 +4737,7 @@ vectorizable_conversion (gimple *stmt, gimple_stmt_iterator *gsi,
 
   if (!vec_stmt)		/* transformation not required.  */
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	dump_printf_loc (MSG_NOTE, vect_location,
                          "=== vectorizable_conversion ===\n");
       if (code == FIX_TRUNC_EXPR || code == FLOAT_EXPR)
@@ -4763,7 +4763,7 @@ vectorizable_conversion (gimple *stmt, gimple_stmt_iterator *gsi,
     }
 
   /* Transform.  */
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     dump_printf_loc (MSG_NOTE, vect_location,
                      "transform conversion. ncopies = %d.\n", ncopies);
 
@@ -5108,7 +5108,7 @@ vectorizable_assignment (gimple *stmt, gimple_stmt_iterator *gsi,
 
   if (!vect_is_simple_use (op, vinfo, &def_stmt, &dt[0], &vectype_in))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         vect_location_writeln (OPT_RECORD_FAILURE,
                          "use not simple.\n");
       return false;
